Public Class DateForm
    Private Sub DateForm_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        lblInfo.Text = "Czas utworzenia: " & DateTime.Now.ToLongTimeString()
    End Sub

    Public Sub RefreshData()
        lblInfo.Text = "Czas aktualizacji: " & DateTime.Now.ToLongTimeString()
    End Sub

    Private Sub cmdRefresh_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdRefresh.Click
        ' Refresh this form - odśwież ten formularz.
        RefreshData()

        ' Call a function in the parent to refresh all the others.
        ' Wywołaj funkcję macierzystego formularza i odśwież wszystkie potomne.
        CType(Me.MdiParent, ParentForm).RefreshAllChildren()
    End Sub
End Class